libsigc++ 2.2.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
sigc::bound_volatile_mem_functor1< T_return, T_obj, T_arg1 > Class Template Reference
mem_fun()

bound_volatile_mem_functor1 encapsulates a volatile method with 1 arguments and an object instance. More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::bound_volatile_mem_functor1< T_return, T_obj, T_arg1 >:
[legend]

List of all members.

## Public Types

typedef base_type_::function_type | function_type
Public Types inherited from sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >
typedef T_return | result_type

## Public Member Functions

| bound_volatile_mem_functor1 (T_obj* _A_obj, function_type _A_func)
| Constructs a bound_volatile_mem_functor1 object that wraps the passed method.
| bound_volatile_mem_functor1 (T_obj& _A_obj, function_type _A_func)
| Constructs a bound_volatile_mem_functor1 object that wraps the passed method.
T_return | operator() (typename type_trait< T_arg1 >::take _A_a1) const
| Execute the wrapped method operating on the stored instance.
Public Member Functions inherited from sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >
| volatile_mem_functor1 ()
| Constructs an invalid functor.
| volatile_mem_functor1 (function_type _A_func)
| Constructs a volatile_mem_functor1 object that wraps the passed method.
T_return | operator() (T_obj* _A_obj, typename type_trait< T_arg1 >::take _A_a1) const
| Execute the wrapped method operating on the passed instance.
T_return | operator() (T_obj& _A_obj, typename type_trait< T_arg1 >::take _A_a1) const
| Execute the wrapped method operating on the passed instance.

## Public Attributes

volatile_limit_reference< T_obj > | obj_

## Additional Inherited Members

Protected Attributes inherited from sigc::volatile_mem_functor1< T_return, T_obj, T_arg1 >
function_type | func_ptr_

## Detailed Description

### template<class T_return, class T_obj, class T_arg1>
class sigc::bound_volatile_mem_functor1< T_return, T_obj, T_arg1 >

bound_volatile_mem_functor1 encapsulates a volatile method with 1 arguments and an object instance.

Use the convenience function mem_fun() to create an instance of bound_volatile_mem_functor1.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_return The return type of operator()().
- T_obj The object type.

## Constructor & Destructor Documentation

template <class T_return , class T_obj , class T_arg1 >

sigc::bound_volatile_mem_functor1< T_return, T_obj, T_arg1 >::bound_volatile_mem_functor1 | ( | T_obj * | _A_obj,
|  | function_type | _A_func
| ) |  |

inline

Constructs a bound_volatile_mem_functor1 object that wraps the passed method.

Parameters:

  _A_obj | Pointer to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

template <class T_return , class T_obj , class T_arg1 >

sigc::bound_volatile_mem_functor1< T_return, T_obj, T_arg1 >::bound_volatile_mem_functor1 | ( | T_obj & | _A_obj,
|  | function_type | _A_func
| ) |  |

inline

Constructs a bound_volatile_mem_functor1 object that wraps the passed method.

Parameters:

  _A_obj | Reference to instance the method will operate on.
  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return , class T_obj , class T_arg1 >

T_return sigc::bound_volatile_mem_functor1< T_return, T_obj, T_arg1 >::operator() | ( | typename type_trait< T_arg1 >::take | _A_a1 | ) | const

inline

Execute the wrapped method operating on the stored instance.

Parameters:

  _A_a1 | Argument to be passed on to the method.

Returns:
  The return value of the method invocation.